From 4f258f00092f633e2b8cff15ef4038f0b094b2ee Mon Sep 17 00:00:00 2001
From: Qiantan Hong <qhong@mit.edu>
Date: Wed, 26 Aug 2020 21:02:54 -0400
Subject: [PATCH] Enable Sandboxing for WebKitGTK Xwidgets

Call webkit_web_context_get_default () before creation of
the first WebKitWebView instance.
---
 src/xwidget.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/xwidget.c b/src/xwidget.c
index 154b3e9c82..5cfdcf234f 100644
--- a/src/xwidget.c
+++ b/src/xwidget.c
@@ -114,6 +114,13 @@ DEFUN ("make-xwidget",
   if (EQ (xw->type, Qwebkit))
     {
       block_input ();
+
+      WebKitWebContext * webkit_context = webkit_web_context_get_default ();
+      if (!webkit_web_context_get_sandbox_enabled (webkit_context))
+        {
+          webkit_web_context_set_sandbox_enabled (webkit_context, TRUE);
+        }
+
       xw->widgetwindow_osr = gtk_offscreen_window_new ();
       gtk_window_resize (GTK_WINDOW (xw->widgetwindow_osr), xw->width,
                          xw->height);
-- 
2.20.1 (Apple Git-117)

